Subject: Re: bug#79292: [PATCH] Improve project-compile command prompt

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Aug 2025 20:15:25 +0300

> From: Gabriel do Nascimento Ribeiro <[email-masked]>
> Date: Fri, 22 Aug 2025 16:46:58 +0000
> msip_labels: 
> 
> Improve 'project-compile' command prompt, which makes it more consistent with
> the new project switch prompt introduced by commit 86e17fbcbddb, and makes it
> clear to users which compilation command is being executed (default 'compile' or
> 'project-compile').

Thanks, but IMO making compilation-command-prompt a defcustom is the
wrong way to implement this.  A defcustom is a user option, and thus
should not be overridden by Lisp programs, ever.  Instead, make it a
defvar, then Lisp programs could bind it to whatever values they want.